Debian Bug report logs - #588307
live-initramfs: Unreachable code in Arguments

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Wed, 7 Jul 2010 08:57:01 UTC

Severity: normal

Found in version live-initramfs/1.236.2-1

Fixed in version live-boot/2.0~a12-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#588307; Package live-initramfs. (Wed, 07 Jul 2010 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 07 Jul 2010 08:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: live-initramfs: Unreachable code in Arguments
Date: Wed, 7 Jul 2010 09:51:57 +0100
Package: live-initramfs
Version: 1.236.2-1
Severity: normal
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu maverick

The Arguments function contains this code:

                        ethdevice=*)
                                DEVICE="${ARGUMENT#ethdevice=}"
                                export DEVICE
                                ;;

                        ethdevice=*)
                                ETHDEVICE="${ARGUMENT#ethdevice=}"
                                export ETHDEVICE
                                ;;

Only the first pattern will be matched.  The second is therefore
unreachable code.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#588307; Package live-initramfs. (Wed, 07 Jul 2010 10:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 07 Jul 2010 10:09:07 GMT) Full text and rfc822 format available.

Message #10 received at 588307@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: 588307@bugs.debian.org
Subject: Re: Bug#588307: live-initramfs: Unreachable code in Arguments
Date: Wed, 7 Jul 2010 11:36:25 +0200
In data mercoledì 7 luglio 2010 10:51:57, Colin Watson ha scritto:

> Only the first pattern will be matched.  The second is therefore
> unreachable code.

Agree, a patch is coming on git soon. Thanks for reporting.

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#588307; Package live-initramfs. (Wed, 07 Jul 2010 11:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 07 Jul 2010 11:33:10 GMT) Full text and rfc822 format available.

Message #15 received at 588307@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 588307@bugs.debian.org
Subject: Re: Bug#588307: live-initramfs: Unreachable code in Arguments
Date: Wed, 07 Jul 2010 13:32:36 +0200
tag 588307 pending
thanks

On 07/07/2010 11:36 AM, Marco Amadori wrote:
> Agree, a patch is coming on git soon. Thanks for reporting.

marco fixed it in git, markin as pending.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 07 Jul 2010 11:33:11 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 15 Jul 2010 17:21:12 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Thu, 15 Jul 2010 17:21:12 GMT) Full text and rfc822 format available.

Message #22 received at 588307-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 588307-close@bugs.debian.org
Subject: Bug#588307: fixed in live-boot 2.0~a12-1
Date: Thu, 15 Jul 2010 17:18:59 +0000
Source: live-boot
Source-Version: 2.0~a12-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_2.0~a12-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_2.0~a12-1_all.deb
live-boot_2.0~a12-1.diff.gz
  to main/l/live-boot/live-boot_2.0~a12-1.diff.gz
live-boot_2.0~a12-1.dsc
  to main/l/live-boot/live-boot_2.0~a12-1.dsc
live-boot_2.0~a12-1_all.deb
  to main/l/live-boot/live-boot_2.0~a12-1_all.deb
live-boot_2.0~a12.orig.tar.gz
  to main/l/live-boot/live-boot_2.0~a12.orig.tar.gz
live-initramfs_2.0~a12-1_all.deb
  to main/l/live-boot/live-initramfs_2.0~a12-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588307@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 07 Jul 2010 20:13:54 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools live-initramfs
Architecture: source all
Version: 2.0~a12-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
 live-initramfs - Debian Live - System Boot Scripts (transitional package)
Closes: 588307
Changes: 
 live-boot (2.0~a12-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Adding preparations for booting through syslinux memdisk.
 .
   [ Marco Amadori ]
   * Avoiding using busybox cpio applet, this should fix snapshot
     restore.
   * Do not print misleading debug message if the snapshot was found
     correctly.
   * Removing unreachable code in ethdevice argument handling (Closes:
     #588307).
 .
   [ Daniel Baumann ]
   * Adding btrfs support.
   * Updating package to standards version 3.9.0.
Checksums-Sha1: 
 9e2abc43b262a64922e88015ca3f6745ac3984d7 1246 live-boot_2.0~a12-1.dsc
 55ff0544292a4dabaa307ffab62e8fcd33c7a6ef 104341 live-boot_2.0~a12.orig.tar.gz
 5646e4f29c25d2140213b52d475f540870f163d2 16334 live-boot_2.0~a12-1.diff.gz
 f7079bd03bd2942b05c8d75099caeed54d9edb2b 72968 live-boot_2.0~a12-1_all.deb
 558d3812fba6b4e9c6084f41d80c8aaca3d1a93b 26812 live-boot-initramfs-tools_2.0~a12-1_all.deb
 62f8a73ac3038659e1769c84543df1fc319e39f3 3264 live-initramfs_2.0~a12-1_all.deb
Checksums-Sha256: 
 62dc76dae58bd1c04df867b7cb5421f51b0080c84e277555438ad8338fcca847 1246 live-boot_2.0~a12-1.dsc
 d495fae45134acb64cb03f5953c714315ff132b3eebabb94a6a80b93467ef6bf 104341 live-boot_2.0~a12.orig.tar.gz
 617ea3c45b9d39c284d96b4c800c463971917703fc240c6354eed31aad3f868a 16334 live-boot_2.0~a12-1.diff.gz
 568c4101f730f897c657b1977f471dceacd3ce066b7d38bb639c8c3a452d0790 72968 live-boot_2.0~a12-1_all.deb
 462155c4ed96df18a980747cca0aa986f1380b50e4a41004ec119f21c9b9c0fb 26812 live-boot-initramfs-tools_2.0~a12-1_all.deb
 85aadadd9848718400d2ec8300730fa4e1e1911b592d0d40e6d88f3aa47dcac9 3264 live-initramfs_2.0~a12-1_all.deb
Files: 
 fc069439337bf558481803012c040cc4 1246 misc optional live-boot_2.0~a12-1.dsc
 34ebb971106129d71ee932218843e041 104341 misc optional live-boot_2.0~a12.orig.tar.gz
 283aca00ad7255f9f21717c6e1a389d7 16334 misc optional live-boot_2.0~a12-1.diff.gz
 b733def03b56f2fbc5bad0acbab95e76 72968 misc optional live-boot_2.0~a12-1_all.deb
 1cd800484a6d6b17d6ea9a4359b29a85 26812 misc optional live-boot-initramfs-tools_2.0~a12-1_all.deb
 d13423da7f3dc70f46e993fe285e97cd 3264 misc optional live-initramfs_2.0~a12-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkw0xIAACgkQ+C5cwEsrK55A5wCfVPZCx8ZI6M/MetumSc59R7pH
qmEAnRRxPetSjs7pBKvGAJVUXnH/hHGE
=GUBX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Aug 2010 07:31:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:42:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.